#
# spec file for package python-pyftpdlib
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2016 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-pyftpdlib
Version:        1.5.1
Release:        2.3
License:        MIT
Summary:        Very fast asynchronous FTP server library
Url:            https://github.com/giampaolo/pyftpdlib/
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/a8/f8/0f6db156898616dbcbd7bf865660295c81479071ab0fcd1898fe1b3a4fc4/pyftpdlib-%{version}.tar.gz
Patch1:		pyftpdlib-disable-error-0-ssl-unwrap.diff
Patch2:		pyftpdlib-handle-missing-SSLv3.diff
Patch3:		pyftpdlib-disable-incomplete-file-received.diff
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-pyOpenSSL
Requires:	python-pyOpenSSL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Python FTP server library provides a high-level portable interface to easily
write very efficient, scalable and asynchronous FTP servers with Python. It is
the most complete `RFC-959 <http://www.faqs.org/rfcs/rfc959.html>`__ FTP server
implementation available for `Python <http://www.python.org/>`__ programming
language and it's used in projects like
`Google Chromium <http://www.code.google.com/chromium/>`__ and
`Bazaar <http://bazaar-vcs.org/>`__ and included in
`Debian <http://packages.debian.org/sid/python-pyftpdlib>`__,
`Fedora <https://admin.fedoraproject.org/pkgdb/packages/name/pyftpdlib>`__ and
`FreeBSD <http://www.freshports.org/ftp/py-pyftpdlib/>`__ package repositories.

%prep
%setup -q -n pyftpdlib-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
make test

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{_bindir}/ftpbench
%{python_sitelib}/*

%changelog
* Mon May  9 2016 hpj@urpla.net
- add patch to disable another failing test, related to icomplete
  file receptions
* Mon May  9 2016 hpj@urpla.net
- add patch to test SSLv3 only, if available
* Mon May  9 2016 hpj@urpla.net
- add patch to disable a test, that triggers an error 0 in ssl
* Sun May  8 2016 hpj@urpla.net
- version 1.5.1: initial build
